<?php	
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy opsługi połączeń cms'a
	
	#pr1
	
	Black Min cms,
	
	#plik: 1.2
*/
	

	
	//echo $url->get_url_bm();
	//var_dump( $url->scheme());
	//echo $url->get_url();
	
	//var_dump($_SERVER);
	
	
	//echo $url->script_path();
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	// pobieranie ścieżki katalogu głównego
	if(!defined('BMPATH')) {
		define('BMPATH', dirname( __FILE__ ).'/' );
	};
	
	if(!defined('BM')) {
		define('BM','bm/' );
	};
	
	if(!defined('LADUJ')) {
		define('LADUJ','laduj/' );
	};
	
	// pobieranie danych konfiguracyinych db
	require_once realpath(BMPATH. "../../connect.php");
	
	// otwieranie sesii black mina
	require_once(BMPATH . "black-min-sm.php");
	// sprawdzanie czy uzytkownik jest zalogowany
	if (!isset($_SESSION['zalogowany'])) {
		header('Location: ../logowanie.php');
		exit();
	}
	
	require_once(BMPATH. "laduj/class-url.php");	
	
	global $host, $db_user, $db_password, $db_name, $polaczenie, $rezultat;
	
	require_once BMPATH . LADUJ ."define-sciezka.php";
	
	require_once BMPATH. LADUJ ."class-pr4.php";
	
	//require_once BMPATH. "bm-shuler/pr/bm-black-min/black-min.php";
	// tworzenie nowej klasy pr4
	$pr4 = new pr4();
	$pr4->pr8();
	 
	require_once BMPATH  . LADUJ ."laduj.php"; 
	
	require_once BMPATH  . INSERT ."update-user-online.php"; 
	
	require_once BMPATH . "black-min-uprawnienia.php";

	// konwertowanie danych pobranych z bazy sql  i przypisywanie ich do łatwiejszych zmienych
	// wersja dołoączenia V.1.0
	// Tworzenie nowej klasy i wywołanie jej w celu pobrania ustawień Black Mina
	$get_status_bm = new get_status_bm(); 
	$get_status_bm->get_status();
	$status_bm = $get_status_bm->get_status();

	// Tworzenie nowej klasy i wywołanie jej w celu pobrania ustawień Black Mina
	$get_ustawienia_bm = new get_ustawienia_bm(); 
	$get_ustawienia_bm->get_ustawienia();
	$ustawienia_bm = $get_ustawienia_bm->get_ustawienia();
	$url_instalacji_bm = $ustawienia_bm["bm_wartosc"][0];
	$url_witryny_bm = $ustawienia_bm["bm_wartosc"][1];
	// przypisywanie zmiennych
	$url_serwera_bm = $ustawienia_bm["bm_wartosc"][0];
	$url_instalacji_bm = $ustawienia_bm["bm_wartosc"][0];
	$url_witryny_bm = $ustawienia_bm["bm_wartosc"][1];
	$bm_nazwa_strony_bm = $ustawienia_bm["bm_wartosc"][2];
	
	$bm_nazwa_strony_bm_skrucona = cut($bm_nazwa_strony_bm, 28);
	 
	// pobieranie wartośći z paska url i udostępnianie jej innym algorytmom 
	 
	$get_url_bm = new get_url_bm();
	//echo $get_url_bm->get_url_bm();
	$url_sprawdz = $get_url_bm->get_url_bm();
	//echo $url_sprawdz;
	
	
	// funkcjia bm sprawdzająca url i przekierewująca na podaną nazwe w url
	
		global $url_sprawdz;
		
		// dodanie danych do sprawdzenia czy wystąpują w adresie url
		$sp_name = [
			"",
			"admin",
			"przerwa-techniczna",
		];
		
		$sp_name_p = [];
		
		$i_sp_url = count($sp_name);
		// ati  aplkacyjiny Timonix'a identyfikator
		// atpi aplikacyjiny Timonix'a protokuł identyfikacyiny
		$admin_url_sp = [
		"admin-panel",
		"admin-add-post",
		"admin-all-post",
		"admin-kategorie-tagi-post",
		"admin-ustawienia",
		"admin-black-min",
		"admin-socialmedia",
		"admin-statystyki",
		"admin-user-all",
		"admin-add-user",
		"admin-ustawienia-posta",
		"admin-update-bm",
		"admin-dysk",
		"admin-add-dane",
		"admin-komentarze",
		"admin-motywy-bm",
		"admin-pluginy",
		"admin-add-plugin",
		"admin-skrypty",
		"admin-add-skrypt",
		"admin-edit-skrypt",
		"admin-moj-profil",
		"admin-baza-danych",
		"admin-import-baza-danych",
		"admin-eksport-baza-danych",
		"admin-eksport-baza-danych",
		"admin-meil",
		"admin-ustawienia-spoleczne",
		"admin-ustawienia-linki-i-czas",
		"admin-ustawienia-prywatnosc",
		"",
		];
		
		$i_admin_url_sp = count($admin_url_sp);
		//echo $i_admin_url_sp;

		//$url_bm_t = false;
		$url_bm_t = "";
		
		// rozbjicie adresu url po / 
	/*	$sample_url_bm =  explode("/", $url_sprawdz);
		
		// zliczanie rozbitych wyrazów url
		$sample_url_bm_zlicz =  count($sample_url_bm );

		// tworzenie zmienej do prziekierowania
		$admin_heder = $bm_nazwa_strony_bm . BM . ADMIN . "admin-panel.php";

		//for ($x=0; $x<$sample_url_bm_zlicz; $x++){
			//echo $sample_url_bm[$x];
			//echo $sample_url_bm[$sample_url_bm_zlicz-2];
				//echo "__";
				
			if($sample_url_bm[$sample_url_bm_zlicz-1] == "admin") {
				//header("Location: bm/admin");
				//header('Location: bm/admin/admin-panel.php');
				//echo "tak ".$x;
				echo '<meta http-equiv="Refresh" content="0; '.$admin_heder.'  ">';
				exit();
			}	

			// pobieranie zmienej i ustawienie jej na globalną
			global $bm_tryb_konserwacji;

			if($bm_tryb_konserwacji == "true") {
				
				require_once BMPATH . "bm-przerwa-techniczna.php"; 
				$bm_content_load = "false";
			}	
			
			//sprawdzanie czy użytkownik wybrał Stronę główną
			// redystrybucja postów do załadowania
			if($sample_url_bm_zlicz == 1) {
				$home = new posts_bm();

				//pobieranie informacji z formularza o haśle chronionego posta
				if(isset($_POST['update_load_posts'])){
					$update_load_posts = $_POST['update_load_posts'];
					$home->update_load_post($update_load_posts);
				}else{
					$home->update_load_post(bm_default_load_posts());
				}
				
				$home->get_post_bm();
	
				// przyłączanie pliku który przepisuje dane o postach do funkcji
				require_once BMPATH . BM . LADUJ . "posts.php";
	
				$connect_load = "home";
				
				if($home->query_load_post() == 0){
					$ERROR_404 = true;
					$connect_load = "post_404";
				}
				
			}

			//sprawdzanie czy użytkownik wybrał jakiś post
			// redystrybucja postów do załadowania
			if($sample_url_bm_zlicz == 2) {
				$sprawdz_post = new post_bm();
				$sprawdz_post->update_load_post($sample_url_bm[$sample_url_bm_zlicz-2]);
				
				//pobieranie informacji z formularza o haśle chronionego posta
				if(isset($_POST['acces_to_protect_post'])){
					$acces_to_protect_post = $_POST['acces_to_protect_post'];
					$sprawdz_post->change_password_post($acces_to_protect_post);
				}
				
				$sprawdz_post->get_post_bm();
	
				// przyłączanie pliku który przepisuje nam dane o pośćie do pliku
				require_once BMPATH . BM . LADUJ . "post.php";
	
				$connect_load = "post_page";
				
				if($sprawdz_post->query_load_post() == 0){
					$ERROR_404 = true;
					$connect_load = "post_404";
				}
				
			}*/
				//echo $url_sprawdz;
		//}	
			
			// sprawdzanie 
			
		$sp_search_db = [
			"elo",
			"minda-32",
			"siema",
		];
		
		$i_sp_url = count($sp_name);
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	

	/*class url {
	
		public $url = $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
		return $url;
	
	}
	
	$url = new url();
	echo $url;*/
	
	/* nazwa url zajnstalowanego black min'a - nazwa url i nazwa orginalna */
	
	$black_min = "Black Min cms";
	
	//$http_name = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http");
	//$http_p = "://";
	
	//$url_serw_bm = $http_name . $http_p . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI']; # or define || $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF']; 
	//$url_full_serw_bm = $http_name . $http_p . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF']; # or define || $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF']; 
	$site_name = $_SERVER['REQUEST_URI'];
	
	# pobranie całej ścieżki dysku $_SERVER["SCRIPT_FILENAME"]
	
	//global $url_serw_bm, $black_min, $url_full_serw_bm, $site_name, $full_name_str_bm;
	//echo  $url_serw_bm;


	//require_once "bm-incules.php";
	
	//$full_name_str_bm = $nazwa_strony." / ".$black_min;
	
/* zbieranie wszystkich danych o serwerze
	
	$indicesServer = array('PHP_SELF', 
'argv', 
'argc', 
'GATEWAY_INTERFACE', 
'SERVER_ADDR', 
'SERVER_NAME', 
'SERVER_SOFTWARE', 
'SERVER_PROTOCOL', 
'REQUEST_METHOD', 
'REQUEST_TIME', 
'REQUEST_TIME_FLOAT', 
'QUERY_STRING', 
'DOCUMENT_ROOT', 
'HTTP_ACCEPT', 
'HTTP_ACCEPT_CHARSET', 
'HTTP_ACCEPT_ENCODING', 
'HTTP_ACCEPT_LANGUAGE', 
'HTTP_CONNECTION', 
'HTTP_HOST', 
'HTTP_REFERER', 
'HTTP_USER_AGENT', 
'HTTPS', 
'REMOTE_ADDR', 
'REMOTE_HOST', 
'REMOTE_PORT', 
'REMOTE_USER', 
'REDIRECT_REMOTE_USER', 
'SCRIPT_FILENAME', 
'SERVER_ADMIN', 
'SERVER_PORT', 
'SERVER_SIGNATURE', 
'PATH_TRANSLATED', 
'SCRIPT_NAME', 
'REQUEST_URI', 
'PHP_AUTH_DIGEST', 
'PHP_AUTH_USER', 
'PHP_AUTH_PW', 
'AUTH_TYPE', 
'PATH_INFO', 
'ORIG_PATH_INFO') ; 

echo '<table cellpadding="10">' ; 
foreach ($indicesServer as $arg) { 
    if (isset($_SERVER[$arg])) { 
        echo '<tr><td>'.$arg.'</td><td>' . $_SERVER[$arg] . '</td></tr>' ; 
    } 
    else { 
        echo '<tr><td>'.$arg.'</td><td>-</td></tr>' ; 
    } 
} 
echo '</table>' ; 

*/
?>